Subject: Re: bug#7534: 24.0.50; G-g within Isearch regexp mode

From: Juri Linkov <[email-masked]>
Date: Sat, 25 Dec 2010 02:47:44 +0000

>>> So, IMO, the main principle for C-g (within Isearch mode) should be:
>>> * if there is unmatched and/or incomplete input --> Delete it.
>>> * Otherwise --> Exit Isearch mode.
>>
>> Please try the following patch.  Does it provide the behavior
>> you are asking for?
>
> It does. Thank you.

I think the behavior of Isearch that Dani proposes is reasonable because
it seems this is how `isearch-abort' was supposed to work since its
comment says "If search has an incomplete regexp" but this branch currently
is never reached.  So I'd like to install it to the trunk.